Postagens

Mostrando postagens de Dezembro, 2016

Como formatar um pen drive no Linux

Primeiro vamos identificar nosso pendrive com o comando mount A saida do comando sera portal on /run/user/1000/doc type fuse.portal (rw,nosuid,nodev,relatime,user_id=1000,group_id=1000) tmpfs on /run/snapd/ns type tmpfs (rw,nosuid,nodev,noexec,relatime,size=1626292k,mode=755) nsfs on /run/snapd/ns/whatsdesk.mnt type nsfs (rw) /dev/sdb1 on /media/junior/538B-BA22 type vfat (rw,nosuid,nodev,relatime,uid=1000,gid=1000,fmask=0022,dmask=0022,codepage=437,iocharset=ascii,shortname=mixed,showexec,utf8,flush,errors=remount-ro,uhelper=udisks2) Assim que identificamos (no meu caso foi o /dev/sdb1) iremos desmontar o pendrive sudo umount /dev/sdb1 Para o sistema de arquivos vFAT (FAT32) sudo mkfs.vfat /dev/sdc1 Para sistema de arquivos NTFS sudo mkfs.ntfs /dev/sdc1 Para o sistema de arquivos EXT4 sudo mkfs.ext4 /dev/sdc1 Agora vamos criar nosso pendrive com um vmware (como exemplo) sudo dd if=/home/junior/Downloads/isos/vmware7.iso of=/dev/sdb status=progress && sync

Instalando o PostgreSQL no Debian

Olá, hoje vamos ver algumas alternativas para instalar o PostgreSQL no Debian. # Incluído na Distribuição (Included in distribution) vai instalar sempre a versão Stable, no caso 9.4 apt-get install postgresql-9.4 -f # Pelo repositório APT (PostgreSQL Apt Repository) Agora crie o arquivo /etc/apt/sources.list.d/pgdg.list e adicione o conteúdo abaixo dentro dele. deb http://apt.postgresql.org/pub/repos/apt/ jessie-pgdg main # Importe a chave do repositório: wget --quiet -O - https://www.postgresql.org/media/keys/ACCC4CF8.asc | \   sudo apt-key add - sudo apt-get update # Procure a versão do  postgresql apt-cache search postgresql-9. # Acessando o Banco su - postgres psql # Se tiver como resultado o conteúdo abaixo então tudo certo postgres@lab-db01:~$ psql psql (9.5.5) Digite "help" para ajuda. postgres=#

Verificando a Versão do seu Debian

Um comando simples que ajuda muito para verificar a versão do seu Debian é: # lsb_release -a Exemplos de saida do comando deve ser: No LSB modules are available. Distributor ID: Debian Description:    Debian GNU/Linux 7.11 (wheezy) Release:        7.11 Codename:       wheezy No LSB modules are available. Distributor ID: Debian Description:    Debian GNU/Linux 8.6 (jessie) Release:        8.6 Codename:       jessie